Std MergeProjects/en: Difference between revisions

From FreeCAD Documentation
(Importing a new version from external source)
(Updating to match new version of source page)
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>


{{Docnav
{{GuiCommand|Name=Std MergeProject|Workbenches=All|MenuLocation=[[Std File Menu|File]] → Merge project |Shortcut=|SeeAlso=}}
|[[Std_Export|Export]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_File_Menu|Std File Menu]]
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconC=Freecad.svg
}}

{{GuiCommand
|Name=Std MergeProjects
|MenuLocation=File → Merge project...
|Workbenches=All
}}


==Description==
==Description==
Merges another FreeCAD-project into the current one.


The '''Std MergeProjects''' command adds the contents of a FreeCAD file into the active document.
==Use==
#Choose {{KEY| File}} {{KEY| Merge project...}} from the top menu.
#A dialog will pop up asking you for the filename and location of the FreeCAD-project to be merged into the current one.


==Limitations==
==Usage==

Since the names of the features/objects in the merged project will be changed to<br />
# Select the {{MenuCommand|File → [[Image:Std_MergeProjects.svg|16px]] Merge project...}} option from the menu.
match the scheme in the existing project, links to external geometry may get lost.
# Select a FreeCAD file in the dialog box.
# Press the {{Button|Open}} button.

==Options==

* Press {{KEY|Esc}} or the {{Button|Cancel}} button to abort the command.


==Notes==
==Notes==
<br />


* A project cannot be merged with itself, selecting the current file is not allowed.
{{clear}}
* FreeCAD will automatically change the internal names and, depending on the [[Preferences_Editor#Document|preferences]], labels of objects to avoid name conflicts.
<languages/>

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To merge a project use the {{Incode|mergeProject}} method of the document object.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")
}}


{{Docnav
|[[Std_Export|Export]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_File_Menu|Std File Menu]]
|IconL=Std_Export.svg
|IconR=Std_ProjectInfo.svg
|IconC=Freecad.svg
}}

{{Std_Base_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:50, 21 April 2024

Std MergeProjects

Menu location
File → Merge project...
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Description

The Std MergeProjects command adds the contents of a FreeCAD file into the active document.

Usage

  1. Select the File → Merge project... option from the menu.
  2. Select a FreeCAD file in the dialog box.
  3. Press the Open button.

Options

  • Press Esc or the Cancel button to abort the command.

Notes

  • A project cannot be merged with itself, selecting the current file is not allowed.
  • FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.

Scripting

See also: FreeCAD Scripting Basics.

To merge a project use the mergeProject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")